## open-infrastructure-apache-icons 20161101

=== Makefile ===
# Makefile

# apache-icons - Alternative icons for Apache autoindex
# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

SHELL := sh -e

SOFTWARE = apache-icons

all: build

build: share/man/*.txt
	$(MAKE) -C share/man

	for ICON in share/icons/*; \
	do \
		ICON="$$(basename $${ICON})"; \
		mkdir -p build/$${ICON}-png; \
		mkdir -p build/$${ICON}-svg; \
		while read LINE; \
		do \
			TARGET="$$(echo $${LINE} | awk '{ print $$1 }')"; \
			SOURCE="$$(echo $${LINE} | awk '{ print $$2 }')"; \
			echo "Converting $${SOURCE} to $${TARGET}..."; \
			rsvg-convert -f svg -h 22 -w 22 share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-svg/$${TARGET}.svg; \
			rsvg-convert share/icons/$${ICON}/$${SOURCE} > build/$${ICON}-png/$${TARGET}.orig.png; \
			convert -resize 22x22 build/$${ICON}-png/$${TARGET}.orig.png build/$${ICON}-png/$${TARGET}.png; \
			rm -f build/$${ICON}-png/$${TARGET}.orig.png; \
		done < share/maps/$${ICON}.txt; \
		sed -e 's|@FORMAT@|png|' share/apache/icon.conf.in > build/$${ICON}-png.conf; \
		sed -e 's|@FORMAT@|svg|' share/apache/icon.conf.in > build/$${ICON}-svg.conf; \
	done

install: build
	mkdir -p $(DESTDIR)/usr/share/$(SOFTWARE)
	cp -a build/* $(DESTDIR)/usr/share/$(SOFTWARE)

	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-png; \
	do \
		cp -a share/common/*.png $${DIRECTORY}; \
	done

	for DIRECTORY in $(DESTDIR)/usr/share/$(SOFTWARE)/*-svg; \
	do \
		cp -a share/common/*.svg $${DIRECTORY}; \
	done

	mkdir -p $(DESTDIR)/etc/apache2/conf-available
	cp -a share/apache/conf/* $(DESTDIR)/etc/apache2/conf-available

	mkdir -p $(DESTDIR)/etc/apache2/mods-available
	cp -a share/apache/mods/* $(DESTDIR)/etc/apache2/mods-available

	for SECTION in $$(seq 1 8); \
	do \
		if ls share/man/*.$${SECTION} > /dev/null 2>&1; \
		then \
			mkdir -p $(DESTDIR)/usr/share/man/man$${SECTION}; \
			cp share/man/*.$${SECTION} $(DESTDIR)/usr/share/man/man$${SECTION}; \
		fi; \
	done

uninstall:
	for SECTION in $$(seq 1 8); \
	do \
		for FILE in share/man/*.$${SECTION}; \
		do \
			if [ -e "$${FILE}" ]; \
			then \
				rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${FILE}); \
			fi; \
		done; \
		rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/man/man$${SECTION} || true; \
	done

	rm -rf $(DESTDIR)/usr/share/$(SOFTWARE)/*
	rmdir --ignore-fail-on-non-empty --parents $(DESTDIR)/usr/share/$(SOFTWARE) || true

clean:
	$(MAKE) -C share/man clean

	rm -rf build

distclean: clean

reinstall: uninstall install

.PHONY: build

=== share/man/Makefile ===
# Makefile

# apache-icons - Alternative icons for Apache autoindex
# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Depends: asciidoc dblatex docbook-xsl libxml2-utils source-highlight

A2X = a2x \
	--asciidoc-opts "-a revdate=$(shell cat ../../VERSION.txt)" \
	--doctype=manpage

SHELL := sh -e

all: build

clean:
	rm -f *.[0-9]
	rm -f *.xml

build: man

rebuild: clean build

man: *.txt
	for FILE in *.txt; \
	do \
		$(A2X) --format=manpage $${FILE}; \
	done

.PHONY: all clean build rebuild man

## open-infrastructure-apache-icons 20160701

=== debian/changelog ===
open-infrastructure-apache-icons (20160701-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20160701.
  * Adding provides apache-icons.
  * Updating upstream git location.
  * Updating vcs fields.
  * Updating build-depends to include tools for manpage generation.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 03 Jul 2016 15:35:06 +0200

open-infrastructure-apache-icons (20160601-1) unstable; urgency=low

  * Initial upload to sid (Closes: #826323).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 04 Jun 2016 11:54:42 +0200

=== debian/control ===
Source: open-infrastructure-apache-icons
Section: admin
Priority: optional
Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 asciidoc,
 debhelper (>= 9.20160402~),
 dh-apache2,
 docbook-xml,
 docbook-xsl,
 imagemagick,
 librsvg2-bin,
 libxml2-utils,
 xsltproc,
Standards-Version: 3.9.8
Homepage: https://open-infrastructure.net/software/apache-icons
Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-apache-icons
Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-apache-icons

Package: open-infrastructure-apache-icons
Architecture: all
Depends:
 apache2-data,
 ${misc:Depends},
Provides:
 apache-icons,
Description: alternative icons for Apache autoindex
 The Apache HTTP Server is the world's most used web server software.
 .
 apache-icons provides alternative icons for Apache autoindex:
 .
   * tango-png: Tango Icon Theme based, PNG format
   * tango-svg: Tango Icon Theme based, SVG format
   * awesome-png: Font Awesome based, PNG format
   * awesome-svg: Font Awesome based, SVG format

## open-infrastructure-apache-icons 20161101-lts2

=== debian/changelog ===
open-infrastructure-apache-icons (20161101-lts2-2) unstable; urgency=low

  * Uploading to sid.
  * Using consistent email address for all downstream work.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 26 Jan 2017 17:45:53 +0100

open-infrastructure-apache-icons (20161101-lts2-1) unstable; urgency=low

  * Uploading to sid.
  * Merging upstream version 20161101-lts2.
  * Updating upstream contact in copyright file.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Dec 2016 11:10:42 +0100

open-infrastructure-apache-icons (20161101-lts1-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101-lts1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 20:42:10 +0200

open-infrastructure-apache-icons (20161101-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20161101.
  * Updating debhelper build-depends for version 10.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 25 Oct 2016 17:23:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: open-infrastructure-apache-icons
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
 Build-Depends:
  asciidoc,
- debhelper (>= 9.20160402~),
+ debhelper (>= 10),
  dh-apache2,
  docbook-xml,
  docbook-xsl,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with apache2

override_dh_auto_build:
	# disabled

=== debian/watch ===
version=4
opts=pgpmode=auto https://files.open-infrastructure.net/software/apache-icons/upstream/apache-icons-(.+)\.tar\.xz

## open-infrastructure-apache-icons 20170701

=== share/man/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 # apache-icons - Alternative icons for Apache autoindex
-# Copyright (C) 2014-2016 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+# Copyright (C) 2014-2017 Daniel Baumann <daniel.baumann@open-infrastructure.net>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
open-infrastructure-apache-icons (20170701-1) unstable; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20170701.
  * Removing superfluous --parallel when invoking debhelper as it's the
    default with compat level 10, thanks to Gianfranco Costamagna
    <locutusofborg@debian.org>.
  * Generalizing rules file.
  * Updating to standards version 4.0.0.
  * Using https for copyright format url.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 01 Jul 2017 10:16:43 +0200

open-infrastructure-apache-icons (20170405-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20170405.
  * Updating year in copyright information for 2017.
  * Using consistent email address for all downstream work.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 07 Apr 2017 14:15:33 +0200

open-infrastructure-apache-icons (20161210-1) experimental; urgency=low

  * Uploading to experimental.
  * Merging upstream version 20161210.
  * Updating upstream contact in copyright file.
  * Making maintainer scripts executable in source tree.
  * Updating upstream signing key.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Dec 2016 11:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  librsvg2-bin,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://open-infrastructure.net/software/apache-icons
-Vcs-Browser: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-apache-icons
-Vcs-Git: https://sources.progress-linux.org/users/daniel/debian/packages/open-infrastructure-apache-icons
+Vcs-Browser: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-apache-icons
+Vcs-Git: https://sources.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-apache-icons
 
 Package: open-infrastructure-apache-icons
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := apache-icons

%:
	dh ${@} --with apache2

override_dh_auto_build:
	# disabled

override_dh_auto_install:
	dh_auto_install

	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/CHANGELOG.txt
	rm -f debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE)/LICENSE.txt

	mv debian/open-infrastructure-$(PACKAGE)/usr/share/doc/$(PACKAGE) debian/open-infrastructure-$(PACKAGE)/usr/share/doc/open-infrastructure-$(PACKAGE)
